package com.yh.saas.plugin.news.entity.view;


import com.winsea.svc.base.base.entity.CommonDepartment;
import com.winsea.svc.base.base.entity.CommonStaff;
import com.winsea.svc.base.base.util.tree.ITreeItem;
import lombok.Data;

import java.util.List;


@Data
public class DeptStaffTreeView implements ITreeItem<DeptStaffTreeView> {
    /**
     * 树形结构ID
     */
    private String id;

    /**
     * 父级Id
     */
    private String parentId;


    /**
     * 部门名称
     */
    private String name;

    /**
     * 部门下成员
     */
    private List<CommonStaff> staffs;

    /**
     * 部门
     */
    private List<CommonDepartment> departments;

    /**
     * 自级ID
     */
    private List<DeptStaffTreeView> children;

    @Override
    public Object getId() {
        return this.id;
    }

    @Override
    public void setId(Object id) {
        this.id = String.valueOf(id);
    }

    @Override
    public String getLabel() {
        return null;
    }

    @Override
    public void setLabel(String label) {
        //nothing
    }

    @Override
    public Object getParentId() {
        return String.valueOf(this.parentId);
    }

    @Override
    public void setParentId(Object parentId) {
        this.parentId = String.valueOf(parentId);
    }

    @Override
    public Integer getIndex() {
        return null;
    }

    @Override
    public void setIndex(Integer index) {
        //nothing
    }

    @Override
    public List<DeptStaffTreeView> getChildren() {
        return this.children;
    }

    @Override
    public void setChildren(List<DeptStaffTreeView> children) {
        this.children = children;
    }
}
